Track request: etcd 3.4


#1

We use the etcd snap as part of Charmed Kubernetes. We’ve stuck with 3.2 for a while but have customers recently asking for 3.4. We’d like a new 3.4 track so we can begin building/testing this version of etcd, with the eventual goal of making it the new default in Charmed Kubernetes.

Thanks!


#2

Hey!

Sure - +1 from me as a reviewer since it complies with the requirements for Simplified track request process for snaps with predictable cadence. The 3.4 track is now live!

  • Daniel

#3

Thanks Daniel,

A little bit of research has revealed that we won’t be able to upgrade users from 3.2 to 3.4 directly. We have to go through 3.3. This means we also need a 3.3 track for etcd. Will you please create this track also?

Thanks again!


#4

Hey!

Sure, done - same criteria as above, 3.3 is still consistent with requirements.

  • Daniel